org.codehaus.groovy.tools

## Class GroovyClass

- java.lang.Object
- - org.codehaus.groovy.tools.GroovyClass

-     public class GroovyClass
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GroovyClass[]` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyClass(java.lang.String name, byte[] bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_ARRAY

          public static final GroovyClass[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### GroovyClass

          public GroovyClass(java.lang.String name,
                             byte[] bytes)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getBytes

          public byte[] getBytes()